Rygel.RootDeviceFactory Reference Manual

# RootDeviceFactory

## Object Hierarchy:

## Description:

public class RootDeviceFactory

Factory for RootDevice objects. Give it a plugin and it will create a Root device for that.

Namespace: Rygel
Package: librygel-core

## Content:

### Creation methods:

- public RootDeviceFactory (`Context` context) throws `Error`

### Methods:

- public RootDevice create (Plugin plugin) throws `Error`

### Fields:

- public `Context` context